<!DOCTYPE html>
<html lang="en">
  <head>
   <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">
    
   <script src="jquery.js"></script>
   <script type="text/javascript">
  
  window.WebSocket=(window.WebSocket||window.MozWebSocket);
    var websocket=new WebSocket('ws://127.0.0.1:9000','myprotocol');
    websocket.onopen=function(){ $('h1').css('color','green'); };
    websocket.onerror=function(){ $('h1').css('color','red'); };

    websocket.onmessage=function(message){
    console.log(message.data);
    if (message.data == '49')
    $('#messages1').empty().append("Anomalie détectée");
    else
    $('#messages').empty().append(message.data + " °C");

 
    };



function sendConsigne(){

websocket.send('1'+$('#message').val().toString()+"\n");

}

function sendMode1(){
websocket.send('9'+"\n");
}

function sendMode2(){
websocket.send('8'+"\n");
}

function sendMode3(){
websocket.send('2'+"\n");
}

function sendMode4(){
websocket.send('7'+"\n");
}


</script>
<script type="text/javascript">

function rafraichir(variable) {
var xmlhttp = getHTTPObject();
xmlhttp.open('POST','?do='+variable,true);
xmlhttp.send(null);
setTimeout('rafraichir()', 1000);

} 

function Validite(){
		var reg = /[0-9]{2}/;
		/* var message = $('#message'); */
		var message = document.querySelector('#message');
		/*var valeur = message.val();*/
	
		
		if (!message.value.match(reg))
		{
			message.setCustomValidity("Veuillez entrer un nombre");
			return false;
		
		}
		else
		{
			message.setCustomValidity("Température envoyée");
			return true;
		}
		}



</script>

    <title>Page d'accueil iThermostat</title>

    <!-- Bootstrap core CSS -->
    <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="justified-nav.css" rel="stylesheet">

    
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <div class="container">

      <!-- The justified navigation menu is meant for single line per list item.
           Multiple lines will require custom code not provided by Bootstrap. -->
      <div class="masthead">
        <h3 class="text-muted">Interface de commande iThermostat</h3>
        <nav>
          <ul class="nav nav-justified">
            <li class="active"><a href="#">Menu de commandes</a></li>
            <li><a href="page_acceuil.html">Retour accueil</a></li>
          </ul>
        </nav>
      </div>


  

      <!-- Jumbotron -->
      <div class="jumbotron">
        <h1>Contrôlez votre thermostat de n'importe quel endroit !</h1>
        <p class="lead">Avec iThermostat, c'est possible. Entrez dans les champs ci-dessous la valeur de consigne de la température de votre maison, ou encore arrêtez tout simplement le thermostat ou votre chaudière !</p>
	<section class="row">
	<p class="img">
	<div class="col-lg-4"><img class="image" src="photo_1.jpg" alt="Tigre"></div>
        <div class="col-lg-4"><img class="image" src="photo_2.jpg" alt="Tigre"></div>
        <div class="col-lg-4"><img class="image" src="photo_3.jpg" alt="Tigre"></div>
	</p>
       </section>
       </br>

	<form class="well">
	<p> Température actuelle </p>
	<FONT size ="60pt" color="#6495ED"><div id="messages"></div></FONT>
	</form>
	</br>
	<form class="well">
	<p> Détection d'anomalie </p>
	<FONT size ="60pt" color="#6495ED"><div id="messages1"></div></FONT>
	</form>
      </div>

      <!-- Example row of columns -->
      <div class="row">
         <div class="col-lg-4">
	    <h2>Température de consigne</h2>
	       <form>
		<label for="message" class="sr-only">Température (°C)</label>
		<input type="text" id="message" class="form-control input-lg" placeholder="Température (°C)" required autofocus" onchange = "Validite();">
		<div class="checkbox">
		<button class="btn btn-lg btn-primary btn-block" type="submit" onclick= "if (Validite()) { sendConsigne();}">Envoyer</button> </p>
	       </form>
		 </div>
	</div>
	
        <div class="col-lg-4">
          <h2>Mode du thermostat</h2>
	   <form class="well">
           <fieldset>
              <div class="radio">
                <label for="actif" class="radio">
                  <input type="radio" name="origine" value="actif" id="actif" onclick="sendMode1();">
                  Mode actif
                </label>
              </div>
              <div class="radio">
                <label for="Economie" class="radio">
                  <input type="radio" name="origine" value="eco" id="eco"  onclick="sendMode2();">
                  Mode économie 
                </label>
            </fieldset>
	   </form>
       </div>
        <div class="col-lg-4">
          <h2>Marche/Arrêt chaudière</h2>
	     <form class="well">
              <fieldset>
              <div class="radio">
                <label for="Marche" class="radio">
                  <input type="radio" name="origine" value="Marche" id="Marche" onclick="sendMode4();">
                 Départ maison : 15°C
                </label>
              </div>
              <div class="radio">
                <label for="Arret" class="radio">
                  <input type="radio" name="origine" value="Arret" id="Arret" onclick="sendMode3();">
                  Arrêt chaudière
                </label>
            </fieldset>
	    </form>
        </div>
      </div>

      <!-- Site footer -->
      <footer class="footer">
        <p>&copy; 2015 Company, Inc.</p>
      </footer>

    </div> <!-- /container -->


    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
   <!-- <script src="../../assets/js/ie10-viewport-bug-workaround.js"></script>-->
  </body>
</html>
